Package: org.gradle.api.artifacts.maven

## [Java] Class Conf2ScopeMapping

- org.gradle.api.artifacts.maven.Conf2ScopeMapping

- An immutable mapping to map a dependency configuration to a Maven scope. This class has implemented equality and hashcode based on its values not on object identity.

  See Also:
    Conf2ScopeMappingContainer

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Conf2ScopeMapping (Integer priority, Configuration configuration, String scope)` Constructs a `Conf2ScopeMapping`.

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `equals(Object o)`
    `Configuration` | `getConfiguration()` Returns the dependency configuration name.
    `Integer` | `getPriority()` Returns the priority.
    `String` | `getScope()` Returns the Maven scope name.
    `int` | `hashCode()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public Conf2ScopeMapping(Integer priority, Configuration configuration, String scope)

      Constructs a `Conf2ScopeMapping`.

      Parameters:
        `priority` - The priority of this mapping
        `configuration` - The configuration name
        `scope` - The Maven scope name

  - ### Method Detail

    - #### @Override public boolean equals(Object o)

    - #### public Configuration getConfiguration()

      Returns the dependency configuration name.

    - #### public Integer getPriority()

      Returns the priority.

    - #### public String getScope()

      Returns the Maven scope name.

    - #### @Override public int hashCode()